From e4b2ab5cd4e09daf72d51ee5b35b3a8b8b5e92d9 Mon Sep 17 00:00:00 2001
From: Jonas Smedegaard <dr@jones.dk>
Date: Sun, 23 Nov 2014 16:01:15 +0100
Subject: [PATCH 5/5] Handle core PXELINUX modules introduced in recent
 PXELINUX, required to be served at tftp root dir.

---
 di-netboot-assistant | 10 ++++++++++
 1 file changed, 10 insertions(+)

diff --git a/di-netboot-assistant b/di-netboot-assistant
index d581507..e21112e 100755
--- a/di-netboot-assistant
+++ b/di-netboot-assistant
@@ -276,6 +276,13 @@ copy_syslinux_bin() {
 	done
 	# Smooth transition to vesamenu
 	[ ! -f "$c32_dir/menu.c32" ] && ln -s "vesamenu.c32" $c32_dir/menu.c32
+	# Add core modules at root (see <https://bugs.debian.org/756275#49>)
+	if [ "$TFTP_ROOT/debian-installer/" = "$dst" ]; then
+		for f in ldlinux.c32 libcom32.c32 libutil.c32; do
+			srcf="$(find_file $f "$src")"
+			[ -z "$srcf" ] || cp -np "$srcf" "$TFTP_ROOT/$f"
+		done
+	fi
 	return 0
 }
 
@@ -925,6 +932,9 @@ setup_syslinux() {
 		  vesamenu.c32|menu.c32)
 			cp -pft "$(dirname "$f")" "$TFTP_ROOT/debian-installer/pxelinux.cfg/$(basename "$f")"
 			;;
+		  ldlinux.c32|libcom32.c32|libutil.c32)
+			cp -pft "$(dirname "$f")" "$TFTP_ROOT/$(basename "$f")"
+			;;
 		  *)
 			echo "W: Unusual PXELINUX module \"$f\" may not work." 1>&2
 			continue
-- 
2.1.3

